<?php

namespace Ulmus\Attribute\Property;

use Ulmus\Attribute\Attribute;

#[\Attribute]
class Join {
    public function __construct(
        public string $type,
        public null|string|\Stringable|array $key  = null,
        public null|string|\Stringable $foreignKey = null,
        public null|string $entity = null,
        public null|string $alias = null,
    ) {
        $this->key = Attribute::handleArrayField($this->key);
        $this->foreignKey = Attribute::handleArrayField($this->foreignKey);
    }
}
